Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core.management
Interface BridgeControl

All Superinterfaces:
  HornetQComponentControl

    public interface BridgeControl

extends HornetQComponentControl

A BridgeControl is used to manage a Bridge.

Author:
  Jeff Mesnil

Method Summary
`String` | `getDiscoveryGroupName()` Returns the name of the discovery group used by this bridge.
`String` | `getFilterString()` Returns the filter string associated to this bridge.
`String` | `getForwardingAddress()` Returns the address this bridge will forward messages to.
`String` | `getName()` Returns the name of this bridge
`String` | `getQueueName()` Returns the name of the queue this bridge is consuming messages from.
`int` | `getReconnectAttempts()` Returns the number of reconnection attempts used by this bridge.
`long` | `getRetryInterval()` Returns the retry interval used by this bridge.
`double` | `getRetryIntervalMultiplier()` Returns the retry interval multiplier used by this bridge.
`String[]` | `getStaticConnectors()` Returns any list of static connectors used by this bridge
`String` | `getTransformerClassName()` Return the name of the org.hornetq.core.server.cluster.Transformer implementation associated to this bridge.
`boolean` | `isHA()` Returns whether this bridge is using high availability
`boolean` | `isUseDuplicateDetection()` Returns whether this bridge is using duplicate detection.

Methods inherited from interface org.hornetq.api.core.management.HornetQComponentControl
`isStarted, start, stop`

Method Detail

### getName

    String getName()

  Returns the name of this bridge

### getQueueName

    String getQueueName()

  Returns the name of the queue this bridge is consuming messages from.

### getForwardingAddress

    String getForwardingAddress()

  Returns the address this bridge will forward messages to.

### getFilterString

    String getFilterString()

  Returns the filter string associated to this bridge.

### getTransformerClassName

    String getTransformerClassName()

  Return the name of the org.hornetq.core.server.cluster.Transformer implementation associated to this bridge.

### getStaticConnectors

    String[] getStaticConnectors()
                                 throws Exception

  Returns any list of static connectors used by this bridge

  Throws:
    `Exception`

### getDiscoveryGroupName

    String getDiscoveryGroupName()

  Returns the name of the discovery group used by this bridge.

### getRetryInterval

    long getRetryInterval()

  Returns the retry interval used by this bridge.

### getRetryIntervalMultiplier

    double getRetryIntervalMultiplier()

  Returns the retry interval multiplier used by this bridge.

### getReconnectAttempts

    int getReconnectAttempts()

  Returns the number of reconnection attempts used by this bridge.

### isUseDuplicateDetection

    boolean isUseDuplicateDetection()

  Returns whether this bridge is using duplicate detection.

### isHA

    boolean isHA()

  Returns whether this bridge is using high availability

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.